ompi/mca/btl/self/btl_self_frag.h File Reference.TH "ompi/mca/btl/self/btl_self_frag.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/mca/btl/self/btl_self_frag.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include <sys/types.h>\fP
.br
\fC#include 'ompi_config.h'\fP
.br
\fC#include 'class/ompi_free_list.h'\fP
.br
\fC#include 'btl_self.h'\fP
.br

.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBMCA_BTL_SELF_FRAG_ALLOC_EAGER\fP(frag, rc)"
.br
.ti -1c
.RI "#define \fBMCA_BTL_SELF_FRAG_RETURN_EAGER\fP(frag)"
.br
.ti -1c
.RI "#define \fBMCA_BTL_SELF_FRAG_ALLOC_SEND\fP(frag, rc)"
.br
.ti -1c
.RI "#define \fBMCA_BTL_SELF_FRAG_RETURN_SEND\fP(frag)"
.br
.ti -1c
.RI "#define \fBMCA_BTL_SELF_FRAG_ALLOC_RDMA\fP(frag, rc)"
.br
.ti -1c
.RI "#define \fBMCA_BTL_SELF_FRAG_RETURN_RDMA\fP(frag)"
.br
.in -1c
.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef \fBmca_btl_self_frag_t\fP \fBmca_btl_self_frag_t\fP"
.br
.ti -1c
.RI "typedef \fBmca_btl_self_frag_t\fP \fBmca_btl_self_frag_eager_t\fP"
.br
.ti -1c
.RI "typedef \fBmca_btl_self_frag_t\fP \fBmca_btl_self_frag_send_t\fP"
.br
.ti -1c
.RI "typedef \fBmca_btl_self_frag_t\fP \fBmca_btl_self_frag_rdma_t\fP"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "\fBOBJ_CLASS_DECLARATION\fP (\fBmca_btl_self_frag_eager_t\fP)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_DECLARATION\fP (\fBmca_btl_self_frag_send_t\fP)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_DECLARATION\fP (\fBmca_btl_self_frag_rdma_t\fP)"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Define Documentation"
.PP 
.SS "#define MCA_BTL_SELF_FRAG_ALLOC_EAGER(frag, rc)"
.PP
\fBValue:\fP
.PP
.nf
{                                                                            \
    opal_list_item_t* item;                                                  \
    OMPI_FREE_LIST_WAIT(&mca_btl_self_component.self_frags_eager, item, rc); \
    frag = (mca_btl_self_frag_t*)item;                                       \
}
.fi
.SS "#define MCA_BTL_SELF_FRAG_ALLOC_RDMA(frag, rc)"
.PP
\fBValue:\fP
.PP
.nf
{                                                                            \
    opal_list_item_t* item;                                                  \
    OMPI_FREE_LIST_WAIT(&mca_btl_self_component.self_frags_rdma, item, rc);  \
    frag = (mca_btl_self_frag_t*)item;                                       \
}
.fi
.SS "#define MCA_BTL_SELF_FRAG_ALLOC_SEND(frag, rc)"
.PP
\fBValue:\fP
.PP
.nf
{                                                                            \
    opal_list_item_t* item;                                                  \
    OMPI_FREE_LIST_WAIT(&mca_btl_self_component.self_frags_send, item, rc);  \
    frag = (mca_btl_self_frag_t*)item;                                       \
}
.fi
.SS "#define MCA_BTL_SELF_FRAG_RETURN_EAGER(frag)"
.PP
\fBValue:\fP
.PP
.nf
{                                                                            \
    OMPI_FREE_LIST_RETURN(&mca_btl_self_component.self_frags_eager, (opal_list_item_t*)(frag)); \
}
.fi
.SS "#define MCA_BTL_SELF_FRAG_RETURN_RDMA(frag)"
.PP
\fBValue:\fP
.PP
.nf
{                                                                            \
    OMPI_FREE_LIST_RETURN(&mca_btl_self_component.self_frags_rdma, (opal_list_item_t*)(frag)); \
}
.fi
.SS "#define MCA_BTL_SELF_FRAG_RETURN_SEND(frag)"
.PP
\fBValue:\fP
.PP
.nf
{                                                                            \
    OMPI_FREE_LIST_RETURN(&mca_btl_self_component.self_frags_send, (opal_list_item_t*)(frag)); \
}
.fi
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
